package com.ruoyi.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.util.List;

import com.ruoyi.common.StandardJsonTypeHandler;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 体系审查任务
 * @TableName t_system_review_task
 */
@ApiModel
@TableName(value ="t_system_review_task", autoResultMap = true)
@Accessors(chain = true)
@Data
public class SystemReviewTask {

    @TableField(exist = false)
    public static final String STATUS_NEW = "NEW";
    @TableField(exist = false)
    public static final String STATUS_PENDING = "PENDING";
    @TableField(exist = false)
    public static final String STATUS_FINISH = "FINISH";
    @TableField(exist = false)
    public static final String STATUS_CLOSE = "CLOSE";


    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 任务编号
     */
    @ApiModelProperty("任务编号")
    private String taskNo;

    /**
     * 任务状态（NEW、PENDING、FINISH、CLOSE）
     */
    @ApiModelProperty("任务状态（NEW、PENDING、FINISH、CLOSE）")
    private String taskStatus;

    /**
     * 任务发起人姓名
     */
    @ApiModelProperty("任务发起人姓名")
    private String taskInitiator;

    /**
     * 任务发起人部门
     */
    @ApiModelProperty("任务发起人部门")
    private String taskInitiatorDept;

    /**
     * 任务结果（PASS、REJECT）
     */
    @ApiModelProperty("任务结果（PASS、REJECT）")
    private String taskResult;

    /**
     * 任务开始时间
     */
    @ApiModelProperty("任务开始时间")
    private Date taskBeginTime;

    /**
     * 任务结束时间
     */
    @ApiModelProperty("任务结束时间")
    private Date taskEndTime;

    /**
     * 审查标准
     */
    @ApiModelProperty("审查标准")
    @TableField(value="standard", typeHandler = StandardJsonTypeHandler. class)
    private List<ReviewStandard> standard;

    /**
     * 占位（开发人员根据具体业务自行增加业务字段）
     */
    @ApiModelProperty("占位（开发人员根据具体业务自行增加业务字段）")
    private String bizInfo;

    /**
     * 审核组长id
     */
    @ApiModelProperty("审核组长id")
    private Long leaderId;

    /**
     * 审核组长姓名
     */
    @ApiModelProperty("审核组长姓名")
    private String leader;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    private Date createTime;

    /**
     * 关联标准表id
     */
    private Long standardId;

    /**
     * 标准名称
     */
    private String name;

    /**
     * 标准号
     */
    private String standardNo;

    /**
     * 文件路径
     */
    private String file;

    /**
     * 提交人id
     */
    private Long submitById;

    /**
     * 提交人姓名
     */
    private String submitByName;

}
