package com.ruoyi.web;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.service.ReviewDetailsResultService;
import com.ruoyi.web.request.ReviewDetailsResultSaveRequest;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.apache.skywalking.apm.toolkit.trace.Tag;
import org.apache.skywalking.apm.toolkit.trace.Tags;
import org.apache.skywalking.apm.toolkit.trace.Trace;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@Api("审查细则的审查结果")
@RestController
@RequestMapping("/review/details/result")
public class ReviewDetailsResultController extends BaseController {

    @Autowired
    private ReviewDetailsResultService reviewDetailsResultService;

    @ApiOperation("保存审查结果")
    @Trace
    @Tags({@Tag(key = "param", value = "arg[0]"), @Tag(key = "result", value = "returnedObj")})
    @Log(title = "保存审查结果", businessType = BusinessType.INSERT)
    @RequestMapping(method = RequestMethod.POST, value = "/save")
    public R<String> save(@Validated @RequestBody ReviewDetailsResultSaveRequest request) {
        reviewDetailsResultService.save(request);
        return R.ok();
    }
}
